Name:		strace
Version:	4.7
Release:	%mkrel 3
Summary:	Tracks and displays system calls associated with a running process
License:	BSD
Group:		Development/Kernel
URL:		http://sourceforge.net/projects/strace/
Source0:	http://easynews.dl.sourceforge.net/sourceforge/strace/strace-%{version}.tar.xz
# (fc) display usbdevfs trace
Patch5:		http://iki.fi/lindi/strace-usbdevfs.patch
Patch6:		strace-4.7-automake-1.13.patch

%description
The strace program intercepts and records the system calls called
and received by a running process.  Strace can print a record of
each system call, its arguments and its return value.  Strace is useful
for diagnosing problems and debugging, as well as for instructional
purposes.

Install strace if you need a tool to track the system calls made and
received by a process.

%prep
%setup -q
#%patch5 -p1 -b .usbdevfs
%patch6 -p1 -b .automake-1_13

%build
# generate build scripts with our autotools and libtoolize
autoreconf -fi

%configure2_5x
%{make}

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

# remove unpackaged files
%{__rm} %{buildroot}%{_bindir}/strace-graph

%clean
%{__rm} -rf %{buildroot}

%files
%doc COPYRIGHT README* CREDITS ChangeLog NEWS
%{_bindir}/strace*
%{_mandir}/man1/strace.1*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 4.7-3.mga3
+ Revision: 383514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 4.7-2.mga3
+ Revision: 339702
- patch6: fix build with automake 1.13

* Sun Jun 03 2012 luigiwalser <luigiwalser> 4.7-1.mga3
+ Revision: 253504
- 4.7
- disable usbdevfs patch as it does not build correctly

* Wed Apr 13 2011 tv <tv> 4.6-1.mga1
+ Revision: 84212
- new release

* Tue Jan 11 2011 blino <blino> 4.5.20-3.mga1
+ Revision: 6370
- remove old version in comment
- imported package strace

